+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 12 of 12
  1. #11
    Super Member
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2015
    Join Date
    Nov 2013
    Posts
    1,062

    Default

    Registered forum members do not see this ad.

    Thats some interesting list manipulation Lee!
    I would remove GCs -1 5 and 100 aswell (just in case). Although it seems that entmake/x ignores them:
    Code:
    _$ (entmake (list (cons 0 "POINT") (cons 5 "MyHandle") (cons 100 "AcDbLWPolyline") (cons 62 1) (cons 10 (getpoint))))
    ((0 . "POINT") (5 . "MyHandle") (100 . "AcDbLWPolyline") (62 . 1) (10 -38.7621 156.008 0.0))
    _$ (entget (entlast))
    ((-1 . <Entity name: 7ff678604cc0>) (0 . "POINT") (330 . <Entity name: 7ff6786039f0>) (5 . "24C") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (62 . 1) (100 . "AcDbPoint") (10 -38.7621 156.008 0.0) (210 0.0 0.0 1.0) (50 . 0.0))
    _$

  2. #12
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,322

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by Grrr View Post
    Thats some interesting list manipulation Lee!
    Thanks!

    Quote Originally Posted by Grrr View Post
    I would remove GCs -1 5 and 100 aswell (just in case).
    I agree with removing the subclass markers in general, as these will cause issues when generating the following entities:
    Code:
    ATTRIB (Multiline)
    ELLIPSE       
    HATCH         
    LWPOLYLINE    
    MTEXT         
    SPLINE        
    XLINE
    However, it is not necessary to remove DXF groups -1 & 5, as these are always ignored.
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

Similar Threads

  1. Convert multiple circles into points
    By LEIGH in forum AutoLISP, Visual LISP & DCL
    Replies: 8
    Last Post: 22nd Jan 2016, 06:36 am
  2. Circles to Points
    By big daddy in forum AutoLISP, Visual LISP & DCL
    Replies: 15
    Last Post: 9th Apr 2009, 10:00 pm
  3. Circles to Points
    By big daddy in forum AutoCAD General
    Replies: 2
    Last Post: 24th Dec 2008, 07:57 pm
  4. Going in circles trying to draw an arc in 3D
    By Gerhard van Eeden in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 5th Jun 2008, 05:38 pm
  5. draw circles through points
    By motee-z in forum AutoLISP, Visual LISP & DCL
    Replies: 13
    Last Post: 12th Jul 2006, 05:50 am

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts